org.eclipse.jetty.servlet

## Class ServletHolder.Config

- java.lang.Object
- - org.eclipse.jetty.servlet.Holder.HolderConfig
  - - org.eclipse.jetty.servlet.ServletHolder.Config

- All Implemented Interfaces:
    javax.servlet.ServletConfig
  Enclosing class:
    ServletHolder

      protected class ServletHolder.Config
      extends Holder.HolderConfig
      implements javax.servlet.ServletConfig

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ServletHolder.Config()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getServletName()`

    - ### Methods inherited from class org.eclipse.jetty.servlet.Holder.HolderConfig

      `getInitParameter, getInitParameterNames, getServletContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletConfig

      `getInitParameter, getInitParameterNames, getServletContext`

- - ### Constructor Detail

    - #### ServletHolder.Config

          protected ServletHolder.Config()

  - ### Method Detail

    - #### getServletName

          public String getServletName()

      Specified by:
        `getServletName` in interface `javax.servlet.ServletConfig`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.